<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.play.go.music">

    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES"
        tools:ignore="QueryAllPackagesPermission" />
    <uses-permission
        android:name="android.permission.MEDIA_CONTENT_CONTROL"
        tools:ignore="ProtectedPermissions" />
    <uses-feature
        android:name="android.hardware.bluetooth_le"
        android:required="true" />

    <queries>
        <package android:name="com.facebook.katana" />
    </queries>

    <application
        android:name=".PlayMusic"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:usesCleartextTraffic="true">

        <meta-data
            android:name="com.facebook.sdk.ApplicationId"
            android:value="@string/facebook_app_id" />

        <activity
            android:name=".MainActivity"
            android:theme="@style/AppTheme"
            android:configChanges="orientation|screenSize|keyboardHidden|smallestScreenSize|screenLayout"
            android:hardwareAccelerated="true"
            android:screenOrientation="portrait"
            android:resizeableActivity="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".ui.MusicActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".v1.ui.MusicActivity"
            android:configChanges=
                "screenSize|smallestScreenSize|screenLayout|orientation"
            android:supportsPictureInPicture="true"
            android:screenOrientation="portrait"/>
        <activity android:name=".v1.ui.devices.DiscoveryDevicesActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".v1.ui.test.PresetMusicControlActivity"
            android:screenOrientation="portrait"/>
        <activity android:name=".v1.ui.onboarding.OnBoardingActivity"
            android:screenOrientation="portrait"
            android:theme="@style/OnboardingAppTheme"/>
        <activity android:name=".v1.ui.login.LoginActivity"
            android:screenOrientation="portrait"
            android:theme="@style/LoginAppTheme">
        </activity>
        <activity
            android:name="com.facebook.FacebookActivity"
            android:screenOrientation="portrait"
            android:configChanges="keyboard|keyboardHidden|screenLayout|screenSize|orientation"
            android:label="@string/app_name" />
        <activity
            android:name="com.facebook.CustomTabActivity"
            android:screenOrientation="portrait"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
                <data android:scheme="@string/fb_login_protocol_scheme" />
            </intent-filter>
        </activity>

        <service
            android:name="com.play.ble_service.service.GAIABREDRService"
            android:exported="false" />
        <service
            android:name="com.play.ble_service.service.GAIAGATTBLEService"
            android:exported="false" />

        <receiver android:name=".v1.ui.MusicActivity$AudioSessionReceiver">
            <intent-filter>
                <action android:name="android.media.action.OPEN_AUDIO_EFFECT_CONTROL_SESSION"/>
            </intent-filter>
        </receiver>
        <receiver
            android:name=".v1.ui.base.controller.PlayerControlActivity$BluetoothConnectionStateReceiver"
            android:enabled="true">
            <intent-filter>
                <action android:name="android.bluetooth.adapter.action.CONNECTION_STATE_CHANGED" />
                <action android:name="android.bluetooth.device.action.ACL_CONNECTED" />
                <action android:name="android.bluetooth.device.action.ACL_DISCONNECTED" />
                <action android:name="android.bluetooth.device.action.ACL_DISCONNECT_REQUESTED" />
            </intent-filter>
        </receiver>

    </application>

</manifest>